-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: python-cmake-build-extension
Binary: python3-cmake-build-extension
Architecture: all
Version: 0.6.1-1
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Homepage: https://github.com/diegoferigo/cmake-build-extension
Description: Setuptools extension to build and package CMake projects
 This extension aims to simplify the integration of C++ projects based on CMake
 with Python packaging tools. CMake provides out-of-the-box support to either
 SWIG and pybind11, that are two among the most used projects to create Python
 bindings from C++ sources.
 .
 If you have any experience with these hybrid projects, you know the challenges
 to make packaging right! This project takes inspiration from pre-existing
 examples (pybind/cmake_example, among many others) and provides a simple,
 flexible, and reusable setuptools extension with the following features:
 .
  * Bridge between CMake projects and Python packaging
  * Configure and build the CMake project from setup.py
  * Install the CMake project in the resulting Python package
  * Allow passing custom CMake options
  * Allow creating a top-level __init__.py
  * Expose C++ executables to the Python environment
  * Provide a context manager to import CPython modules reliably on all major
    OSs
  * Disable the C++ extension in editable installations (requiring to manually
    call CMake to install the C++ project)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/cmake-build-extension
Vcs-Git: https://salsa.debian.org/python-team/packages/cmake-build-extension.git
Testsuite: autopkgtest
Testsuite-Triggers: cmake, dpkg-dev, g++, gcc, libeigen3-dev, ninja-build, python3-all-dev, python3-build, python3-numpy, python3-pybind11, python3-setuptools, python3-setuptools-scm, swig
Build-Depends: debhelper-compat (= 13), dh-python, dh-sequence-python3, pybuild-plugin-pyproject, python3-all, python3-setuptools, python3-setuptools-scm
Package-List:
 python3-cmake-build-extension deb python optional arch=all
Checksums-Sha1:
 de22f2a96cd0e6b1eca3ff183af424f48ebc1d1f 31435 python-cmake-build-extension_0.6.1.orig.tar.gz
 8458a51f6697691be45e55651cb8801be61e3cf8 5120 python-cmake-build-extension_0.6.1-1.debian.tar.xz
Checksums-Sha256:
 5f78ef80ced83f816c1140363068428101f697291990d3804dc3a96321e0555d 31435 python-cmake-build-extension_0.6.1.orig.tar.gz
 85b0e3f7e86ff2d1f725a613921c398d24d6c0f13e930197ae9c2baef1888540 5120 python-cmake-build-extension_0.6.1-1.debian.tar.xz
Files:
 813f11dd40f4fcf2078f1f8c6e7dfd45 31435 python-cmake-build-extension_0.6.1.orig.tar.gz
 7d9511df5e9f4a86b0c3815b4ca75483 5120 python-cmake-build-extension_0.6.1-1.debian.tar.xz
Dgit: c3efb0fa0965bf14b66b72118701e178919b2963 debian archive/debian/0.6.1-1 https://git.dgit.debian.org/python-cmake-build-extension

-----BEGIN PGP SIGNATURE-----

iQJIBAEBCgAyFiEEmwPruYMA35fCsSO/zIxr3RQD9MoFAmbkJWYUHHJvZWhsaW5n
QGRlYmlhbi5vcmcACgkQzIxr3RQD9MrnVQ//Yx6329rwEqK+MS6xQ3ctqks1Sqji
jOiHAolkN2kqjNzgIVic5/hlnetVoc5ELWr8EwtI/x5Pv2k8BKYsdMDcTKqOVsXh
QhjvoziuVLxigoSVFr9k0Q3oF1yDN3lkNKEXG+w5Gf65WZg7wqPCfJ3cXzN0/O+F
eoE+tt/ksZEkoqAjX33tl+jJD/yftbKzY9yjuojxEQmpjst93iaXe9Tu5+GCOReD
yBimvTk61v3ea4KBu2dEQo3p3jSdvpGiORVTQsDmT/lM5kukZam6glvThHnqo06s
j1ZAlD/xCKjUeY7v1MAVb/gJN/pqkJnCCJjCyZnPJpS63iTP2l0R0uJZGssT51x7
dW7A9JWAVI8tbiixAGO5SNIrBNWvIYDDpYtoWA5nwLlYM6eA2MPa51PQD5JFch8/
3YS0zNxdqbdBBzQ0fFh8w2RZ02r9Lf/KbeUIhSWuMNmapMnieVAB9atQrCKyqC5H
4w4uZ1I3o7ofXX93tnZ30mLRJY3f+5VGtDuSIk9+gt3MmGL2JIdBnSOf0Jf/2SBw
n54r1AIzApNaXd3S9895RmL+FOpVlfdo1oe7fpHCAqmg1MtCICvzsqmiHZY3F7u9
9YZ6Z/E5BM5VDgTHuzqVRqFYCLORDUGjVLh6YsfjPF3I9N6zSoqM56puaecuFnsy
TYhbFWatxkRmLfQ=
=vKni
-----END PGP SIGNATURE-----
